## ros-noetic-iris-lama-ros 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(iris_lama_ros)

# Default to release mode.
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

find_package(iris_lama REQUIRED)
find_package(yaml-cpp REQUIRED)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(catkin REQUIRED COMPONENTS
    tf
    roscpp
    rosbag
    nav_msgs
    sensor_msgs
    tf_conversions
    geometry_msgs
    message_filters
    visualization_msgs
    rosbag_storage
    std_srvs
)

catkin_package()

## Specify additional locations of header files
include_directories(include ${catkin_INCLUDE_DIRS} ${YAML_CPP_INCLUDE_DIR})
add_subdirectory(src)


# Install our lannch files
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
    PATTERN ".svn" EXCLUDE
)

=== src/CMakeLists.txt ===

add_executable(loc2d_ros loc2d_ros.cpp)
target_link_libraries(loc2d_ros ${catkin_LIBRARIES} iris_lama::iris_lama)

add_executable(slam2d_ros slam2d_ros.cpp offline_replay.cpp)
target_link_libraries(slam2d_ros ${catkin_LIBRARIES} iris_lama::iris_lama)

add_executable(pf_slam2d_ros pf_slam2d_ros.cpp offline_replay.cpp)
target_link_libraries(pf_slam2d_ros ${catkin_LIBRARIES} iris_lama::iris_lama)

add_executable(graph_slam2d_ros graph_slam2d_ros.cpp)
target_link_libraries(graph_slam2d_ros ${catkin_LIBRARIES} iris_lama::iris_lama)

add_executable(ros2sdm ros2sdm.cpp)
target_link_libraries(ros2sdm ${catkin_LIBRARIES} ${YAML_CPP_LIBRARIES} iris_lama::iris_lama)

install(TARGETS loc2d_ros slam2d_ros pf_slam2d_ros graph_slam2d_ros ros2sdm
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-iris-lama-ros (1.3.3-1focal) focal; urgency=high

  * Trigger graph optimization when map is requested
  * Add graph slam to install list

 -- Eurico Pedrosa <efp@ua.pt>  Thu, 08 Sep 2022 23:00:00 -0000

ros-noetic-iris-lama-ros (1.3.1-1focal) focal; urgency=high

  * Add missing dependency

 -- Eurico Pedrosa <efp@ua.pt>  Wed, 31 Aug 2022 23:00:00 -0000

ros-noetic-iris-lama-ros (1.3.0-1focal) focal; urgency=high

  * Import iris_lama as a plain cmake package
  * Add a new node for graph slam
  * Several improvements to the localization node
  * Add support for slam2d transient mapping

 -- Eurico Pedrosa <efp@ua.pt>  Wed, 31 Aug 2022 23:00:00 -0000

ros-noetic-iris-lama-ros (1.2.0-1focal) focal; urgency=high

  * Remove backlash from frame ids
  * Fix laser orientation checks in the localization node
  * Add launch file for localization node
  * Remove backlash from global namespace topics
  * Publish localization covariance

 -- Eurico Pedrosa <efp@ua.pt>  Fri, 09 Apr 2021 23:00:00 -0000

ros-noetic-iris-lama-ros (1.1.0-1focal) focal; urgency=high

  * Add "truncate" parameters
  * Add a service to trigger global localization
  * Add a service to trigger localization non-motion updates
  * Localization node can now subscribe to maps instead of just using the static_map service
  * Enable TCP_NODELAY for laser scan subscribers to reduce communications delay
  * Filter "map" transformations when mapping offline
  * Fix inverted lidar
  * Use C++14
  * Fix eigen aligment issues

 -- Eurico Pedrosa <efp@ua.pt>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-iris-lama-ros (1.0.0-1focal) focal; urgency=high

  * First official release.

 -- Eurico Pedrosa <efp@ua.pt>  Mon, 04 May 2020 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-iris-lama-ros
Section: misc
Priority: optional
Maintainer: Eurico Pedrosa <efp@ua.pt>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-iris-lama, ros-noetic-message-filters, ros-noetic-nav-msgs, ros-noetic-rosbag, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf-conversions, ros-noetic-tf2-geometry-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-iris-lama-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-noetic-geometry-msgs, ros-noetic-iris-lama, ros-noetic-message-filters, ros-noetic-nav-msgs, ros-noetic-rosbag, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf-conversions, ros-noetic-tf2-geometry-msgs, ros-noetic-visualization-msgs
Description: ROS package of IRIS Localization and Mapping (LaMa).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-iris-lama-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
